رفتن به محتوا

Isaac 0.1

یکپارچه‌سازی

شناسه مدل perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

این درخواست: ≈⁨‎$۰٫۰۰۱⁩ ۱ اعتبار API اجرای آن در این صفحه

دریافت کلید API
Perceptron بینایی #multimodal#vision

مدل بینایی-زبان که درباره تصویر به‌صورت متن، جعبه، نقطه یا چندضلعی پاسخ می‌دهد

Perceptron · متن

اولین نتیجه شما اینجا قرار می‌گیرد

درخواست را در زیر بسازید و با کلید API خود اجرا کنید. خروجی‌ها در فضای ذخیره‌سازی ما کپی می‌شوند و برای همیشه یا به‌مدت ۷ روز رایگان نگه‌داری می‌شوند.

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

•الزامی

پرامپت اعمال‌شده بر تصویر.

•الزامی image_url
یک فایل بیندازید، یا

URL مشخص‌کننده تصویر برای پردازش.

پیشرفته response_style
response_style پیش‌فرض text

قالب پاسخ تصویر را انتخاب کنید: همه حالت‌ها شامل متن هستند؛ box جعبه‌های محدودکننده، point نقاط و polygon چندضلعی‌ها را اضافه می‌کند؛ text فقط متن را برمی‌گرداند. برای بخش‌بندی دقیق از polygon و برای مکان‌یابی از box استفاده کنید. برای توضیحات و کپشن‌گذاری از text و برای شمارش اشیای متعدد از point استفاده کنید.

POST /run/perceptron/isaac-01?wait=20 قیمت → ⁨‎$۰٫۰۰۱⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره Isaac 0.1

یک `image_url` و `prompt` می‌گیرد و پاسخی در قالب تعیین‌شده با `response_style` برمی‌گرداند. متن برای کپشن‌ها و توضیحات مناسب است، درحالی‌که سبک‌های box، point و polygon خروجی مکان‌یابی اضافه می‌کنند. نتیجه شامل خروجی تولیدشده، پرچم خروجی جزئی، پیام خطا در صورت وجود و اطلاعات مصرف است.

پارامترها

نام استاندارد یا نام بومی را ارسال کنید، نه هر دو. نام‌های استاندارد

نامنوع پیش‌فرضمجاز توضیحات
image_urlالزامی image
نوعurl · image
URL مشخص‌کننده تصویر برای پردازش.
promptالزامی
نوعstring
پرامپت اعمال‌شده بر تصویر.
response_styleاختیاری
نوعenum
پیش‌فرضtext
textboxpointpolygon
قالب پاسخ تصویر را انتخاب کنید: همه حالت‌ها شامل متن هستند؛ box جعبه‌های محدودکننده، point نقاط و polygon چندضلعی‌ها را اضافه می‌کند؛ text فقط متن را برمی‌گرداند. برای بخش‌بندی دقیق از polygon و برای مکان‌یابی از box استفاده کنید. برای توضیحات و کپشن‌گذاری از text و برای شمارش اشیای متعدد از point استفاده کنید.
الزامی نام استاندارد، همچنین پذیرفته می‌شود

پارامترهای فایل یک URL عمومی https://، یک URI از نوع data: تا سقف 10 MB، یا file_url یک فایل بارگذاری‌شده را می‌پذیرند. فایل‌ها

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
output
stringنتیجه تولیدشده توسط مدل.
partial
booleanنشان می‌دهد خروجی ناقص است یا نه.
error
string | nullپیامی که خطا را توصیف می‌کند، در صورت وقوع.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullجزئیات مصرف.

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/perceptron/isaac-01.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt